Subject: bug#39277: 26.3; Tcl font lock does not understand quoting

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 27 Oct 2020 18:45:48 +0100

Stefan Monnier <[email-masked]> writes:

> And what about
>     proc foo3 () {
>        puts "hello}"
>     }
>     proc foo4 () {
>        puts "hello\}"
>     }
>     proc foo5 () {
>        puts "hello
>     }

It's fortunately been a couple of decades since I wrote Tcl, and...  I
don't remember.  :-/

> Won't this catch cases not usually considered as strings, like
>
>     proc foo5 () {
>         return 6
>     }

Yup.  I'll revert the patch and reopen this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no